package cn.com.poc.human_resources.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for ResumeContentQuery
 */
@Entity
public class ResumeContentQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** resume_id
    *resume_id
    */ 
    private java.lang.Long resumeId;
    
    @Column(name = "resume_id")
    public java.lang.Long getResumeId(){
        return this.resumeId;
    }
    
    public void setResumeId(java.lang.Long resumeId){
        this.resumeId = resumeId;
    }
    
    /** position_id
    *position_id
    */ 
    private java.lang.Long positionId;
    
    @Column(name = "position_id")
    public java.lang.Long getPositionId(){
        return this.positionId;
    }
    
    public void setPositionId(java.lang.Long positionId){
        this.positionId = positionId;
    }
    
    /** resume_content
    *resume_content
    */ 
    private java.lang.String resumeContent;
    
    @Column(name = "resume_content")
    public java.lang.String getResumeContent(){
        return this.resumeContent;
    }
    
    public void setResumeContent(java.lang.String resumeContent){
        this.resumeContent = resumeContent;
    }
    
    /** is_deleted
    *is_deleted
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
    
    /** CREATOR
    *CREATOR
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR")
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
    
    /** CREATED_TIME
    *CREATED_TIME
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
    
    /** MODIFIER
    *MODIFIER
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER")
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
    
    /** MODIFIED_TIME
    *MODIFIED_TIME
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME")
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
    
    /** SYS_VERSION
    *SYS_VERSION
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION")
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
    
} 